Stretched link

Vue Bootstrap 5 Stretched link

Make any HTML element or MDB component clickable by “stretching” a nested link via CSS.


Basic examples

Add .stretched-link to a link to make its containing block clickable via a ::after pseudo element. In most cases, this means that an element with position: relative; that contains a link with the .stretched-link class is clickable.

Cards have position: relative by default in Bootstrap, so in this case you can safely add the .stretched-link class to a link in the card without any other HTML changes.

Multiple links and tap targets are not recommended with stretched links. However, some position and z-index styles can help should this be required.

...
Card with stretched link

Some quick example text to build on the card title and make up the bulk of the card's content.

Go somewhere
        
            
            <template>
              <MDBCard>
                <MDBCardImg
                  top
                  src="https://mdbootstrap.com/img/new/standard/city/041.webp"
                  alt="..."
                />
                <MDBCardBody>
                  <MDBCardTitle>Card with stretched link</MDBCardTitle>
                  <MDBCardText>
                    Some quick example text to build on the card title and make up the bulk of the
                    card's content.
                  </MDBCardText>
                  <MDBBtn tag="a" href="#!" color="primary" class="stretched-link">Go somwhere</MDBBtn>
                </MDBCardBody>
              </MDBCard>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBCard,
                MDBCardImg,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBBtn
              } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBCard,
                  MDBCardImg, 
                  MDBCardBody, 
                  MDBCardTitle, 
                  MDBCardText, 
                  MDBBtn,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBCard,
                MDBCardImg,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBBtn
              } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Most custom components do not have position: relative by default, so we need to add the .position-relative here to prevent the link from stretching outside the parent element.

hollywood sign
Custom component with stretched link

Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.

Go somewhere
        
            
            <template>
              <div class="d-flex position-relative">
                <img
                  src="https://mdbootstrap.com/img/new/standard/city/041.webp"
                  class="flex-shrink-0 mr-3"
                  style="max-width: 12rem"
                  alt="..."
                />
                <div>
                  <h5 class="mt-0">Custom component with stretched link</h5>
                  <p>
                    Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante
                    sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis.
                    Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in
                    faucibus.
                  </p>
                  <a href="#" class="stretched-link">Go somewhere</a>
                </div>
              </div>
            </template>
          
        
    
...
Columns with stretched link

Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.

Go somewhere
        
            
            <template>
              <MDBRow class="g-0 bg-body-tertiary position-relative">
                <MDBCOl md="6" class="mb-md-0 p-md-4">
                  <img
                    src="https://mdbootstrap.com/img/new/standard/city/041.webp"
                    class="w-100"
                    alt="..."
                  />
                </MDBCOl>
                <MDBCol md="6" class="p-4 ps-md-0">
                  <h5 class="mt-0">Columns with stretched link</h5>
                  <p>
                    Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante
                    sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis.
                    Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in
                    faucibus.
                  </p>
                  <a href="#" class="stretched-link">Go somewhere</a>
                </MDBCol>
              </MDBRow>
            </template>
          
        
    
        
            
            <script>
              import { MDBRow, MDBCol } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBRow,
                  MDBCol,
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBRow, MDBCol } from 'mdb-vue-ui-kit';
            </script>
          
        
    

Identifying the containing block

If the stretched link doesn’t seem to work, the containing block will probably be the cause. The following CSS properties will make an element the containing block:

  • A position value other than static
  • A transform or perspective value other than none
  • A will-change value of transform or perspective
  • A filter value other than none or a will-change value of filter (only works on Firefox)
...
Card with stretched links

Some quick example text to build on the card title and make up the bulk of the card's content.

Stretched link will not work here, because position: relative is added to the link

This stretched link will only be spread over the p-tag, because a transform is applied to it.

        
            
            <template>
              <MDBCard style="width: 18rem">
                <MDBCardImg
                  src="https://mdbootstrap.com/img/new/standard/city/041.webp"
                  class="card-img-top"
                  alt="..."
                />
                <MDBCardBody>
                  <MDBCardTItle>Card with stretched links</MDBCardTItle>
                  <MDBCardText>
                    Some quick example text to build on the card title and make up the bulk of the
                    card's content.
                  </MDBCardText>
                  <MDBCardText>
                    <a href="#" class="stretched-link text-danger" style="position: relative">
                      Stretched link will not work here, because <code>position: relative</code> is
                      added to the link
                    </a>
                  </MDBCardText>
                  <MDBCardText class="bg-body-tertiary" style="transform: rotate(0)">
                    This <a href="#" class="text-warning stretched-link">stretched link</a> will only
                    be spread over the <code>p</code>-tag, because a transform is applied to it.
                  </MDBCardText>
                </MDBCardBody>
              </MDBCard>
            </template>
          
        
    
        
            
            <script>
              import {
                MDBCard,
                MDBCardImg,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText
              } from 'mdb-vue-ui-kit';

              export default {
                components: {
                  MDBCard,
                  MDBCardImg,
                  MDBCardBody,
                  MDBCardTitle,
                  MDBCardText
                },
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                MDBCard,
                MDBCardImg,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText
              } from 'mdb-vue-ui-kit';
            </script>
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Stretched link

React Bootstrap 5 Stretched link component

Make any HTML element or MDB component clickable by “stretching” a nested link via CSS.


Basic examples

Add .stretched-link to a link to make its containing block clickable via a ::after pseudo element. In most cases, this means that an element with position: relative; that contains a link with the .stretched-link class is clickable.

Cards have position: relative by default in Bootstrap, so in this case you can safely add the .stretched-link class to a link in the card without any other HTML changes.

Multiple links and tap targets are not recommended with stretched links. However, some position and z-index styles can help should this be required.

...
Card with stretched link

Some quick example text to build on the card title and make up the bulk of the card's content.

Go somewhere
        
            
          import React from 'react';
          import { 
            MDBCard,
            MDBCardBody,
            MDBCardImage,
            MDBCardTitle,
            MDBCardText,
            MDBCardLink,
            MDBBtn
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBCard>
                <MDBCardImage
                  src="https://mdbootstrap.com/img/new/standard/city/041.jpg"
                  position="top"
                  alt="..."
                />
                <MDBCardBody>
                  <MDBCardTitle>Card with stretched link</MDBCardTitle>
                  <MDBCardText>
                    Some quick example text to build on the card title and make up the bulk of the
                    card's content.
                  </MDBCardText>
                  <MDBBtn tag="a" href="#!" className="stretched-link">Go somewhere</MDBBtn>
                </MDBCardBody>
              </MDBCard>
            );
          }          
          
        
    

Most custom components do not have position: relative by default, so we need to add the .position-relative here to prevent the link from stretching outside the parent element.

...
Custom component with stretched link

Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.

Go somewhere
        
            
          import React from 'react';

          export default function App() {
            return (
              <div className="d-flex position-relative">
                <img
                  src="https://mdbootstrap.com/img/new/standard/city/041.jpg"
                  className="flex-shrink-0 me-3"
                  style={{maxWidth: "12rem"}}
                  alt="..."
                />
                <div>
                  <h5 className="mt-0">Custom component with stretched link</h5>
                  <p>
                    Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante
                    sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis.
                    Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in
                    faucibus.
                  </p>
                  <a href="#" className="stretched-link">Go somewhere</a>
                </div>
              </div>
            );
          }          
          
        
    
...
Columns with stretched link

Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.

Go somewhere
        
            
          import React from 'react';
          import { MDBRow, MDBCol } from 'mdb-react-ui-kit;

          export default function App() {
            return (
              <MDBRow className="g-0 bg-light position-relative">
                <MDBCol md="6" className="mb-md-0 p-md-4">
                  <img
                    src="https://mdbootstrap.com/img/new/standard/city/041.jpg"
                    className="w-100"
                    alt="..."
                  />
                </MDBCol>
                <MDBCol md="6" className="p-4 ps-md-0">
                  <h5 className="mt-0">Columns with stretched link</h5>
                  <p>
                    Cras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante
                    sollicitudin. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis.
                    Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in
                    faucibus.
                  </p>
                  <a href="#" className="stretched-link">Go somewhere</a>
                </MDBCol>
              </MDBRow>
            );
          }    
          
        
    

Identifying the containing block

If the stretched link doesn’t seem to work, the containing block will probably be the cause. The following CSS properties will make an element the containing block:

  • A position value other than static
  • A transform or perspective value other than none
  • A will-change value of transform or perspective
  • A filter value other than none or a will-change value of filter (only works on Firefox)
...
Card with stretched links

Some quick example text to build on the card title and make up the bulk of the card's content.

Stretched link will not work here, because position: relative is added to the link

This stretched link will only be spread over the p-tag, because a transform is applied to it.

        
            
          import React from 'react';
          import { 
            MDBCard,
            MDBCardBody,
            MDBCardImage,
            MDBCardTitle,
            MDBCardText,
          } from 'mdb-react-ui-kit';
          
          export default function App() {
            return (
              <MDBCard>
                <MDBCardImage
                  src="https://mdbootstrap.com/img/new/standard/city/041.jpg"
                  position="top"
                  alt="..."
                />
                <MDBCardBody>
                  <MDBCardTitle>Card with stretched link</MDBCardTitle>
                  <MDBCardText>
                    Some quick example text to build on the card title and make up the bulk of the
                    card's content.
                  </MDBCardText>
                  <MDBBtn tag="a" href="#!" className="stretched-link">Go somewhere</MDBBtn>
                </MDBCardBody>
              </MDBCard>

              <MDBCard style={{width: "18rem"}}>
                <MDBCardImage
                  src="https://mdbootstrap.com/img/new/standard/city/041.jpg"
                  position="top"
                  alt="..."
                />
                <MDBCardBody>
                  <MDBCardTitle>Card with stretched links</MDBCardTitle>
                  <MDBCardText>
                    Some quick example text to build on the card title and make up the bulk of the
                    card's content.
                  </MDBCardText>
                  <MDBCardText>
                    <a href="#" className="stretched-link text-danger position-relative"
                      >Stretched link will not work here, because position: relative is
                      added to the link</a
                    >
                  </MDBCardText>
                  <p className="card-text bg-light" style={{transform: "rotate(0)"}}>
                    This <a href="#" className="text-warning stretched-link">stretched link</a> will only
                    be spread over the p-tag, because a transform is applied to it.
                  </p>
                </MDBCardBody>
              </MDBCard>
            );
          }     
          
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!